VisualEditor: Provide tooltips for some items in the Special Character inserter so users can tell items from each other
Closed, ResolvedPublic1 Story Points

Description

Author: misc2006

Description:
There are at least two dash-like characters in the "Special character" dialog. They should have a tooltip describing them, otherwise it won't be obvious to most users which character is to be used in which situation. Actually, why not add a descriptive tooltip to all special characters?


Version: unspecified
Severity: enhancement

Details

Reference
bz68425
bzimport set Reference to bz68425.
bzimport created this task.Jul 23 2014, 8:26 AM

(In reply to Daniel Naber from comment #0)

There are at least two dash-like characters in the "Special character"
dialog. They should have a tooltip describing them, otherwise it won't be
obvious to most users which character is to be used in which situation.

Assuming you refer to − and — : Don't use and situations highly depend on cultures (and languages) anyway? Wondering if it would be possible to generally explain at all. Any citation for "won't be obvious to most users"?

(In reply to Daniel Naber from comment #0)

Actually, why not add a descriptive tooltip to all special characters?

I doubt there is a usecase for explaining every single character (and making translators translate them). Which actual problem to solve?

misc2006 wrote:

(In reply to Andre Klapper from comment #1)

Assuming you refer to − and — : Don't use and situations highly depend on
cultures (and languages) anyway?

I guess so (and that's probably why de.wikipedia has a different dialog than en.wikipedia), but still these characters have names that at least help explain their meaning and make it possible to tell them apart.

Any citation for "won't be obvious to most users"?

I've fixed about 2000 typos in de.wikipedia in the last few months and typographical problems (although not limited to the dash characters) are very common.

I doubt there is a usecase for explaining every single character (and making
translators translate them). Which actual problem to solve?

It increases confidence in what you're doing if you can see that you are actually using the right character (instead of one that maybe just looks the same - this could easily happen with then tens of thousands of unicode characters available). For translation, either use the Unicode name without translation, or an official translation (that might be available or not).

matmarex claimed this task.Apr 21 2015, 8:40 AM

For VisualEditor-MediaWiki, we're now reusing the special characters list from the wikitext WikiEditor. It has over 2000 entries and I am positive there is no point in providing and translating a tooltip for every single one of them.

However, there are at least a few which could use a tooltip. That list has them for three similar-looking characters: − (minus sign), – (en dash) and — (em dash). We currently ignore these in VisualEditor, I'm fixing it.

For VisualEditor standalone, it would be reasonable to add labels for these three, too, but it's probably not be necessary, since we display the list in a clearer form (proportional fonts and shorter sections). I won't be doing this for now, someone else can decide.

Change 205557 had a related patch set uploaded (by Bartosz Dziewoński):
ve.ui.SpecialCharacterPage: Allow providing a tooltip for characters

https://gerrit.wikimedia.org/r/205557

Change 205558 had a related patch set uploaded (by Bartosz Dziewoński):
Allow special characters with tooltip or that encapsulate text

https://gerrit.wikimedia.org/r/205558

Change 205557 merged by jenkins-bot:
ve.ui.SpecialCharacterPage: Allow providing a tooltip for characters

https://gerrit.wikimedia.org/r/205557

Change 205558 merged by jenkins-bot:
Allow special characters with tooltip or that encapsulate text

https://gerrit.wikimedia.org/r/205558

Jdforrester-WMF closed this task as "Resolved".Apr 23 2015, 1:18 AM
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from Nominated to Done on the VisualEditor 2014/15 Q4 blockers board.
matmarex changed the title from "VisualEditor: Provide tooltips for each item in the Special Character inserter so users can tell items from each other" to "VisualEditor: Provide tooltips for some items in the Special Character inserter so users can tell items from each other".Apr 23 2015, 6:11 AM